<?xml version="1.0" encoding="UTF-8"?>
<odoo>

    <record id="res_config_settings_view_form" model="ir.ui.view">
        <field name="name">res.config.settings.view.form.inherit.garazd_product_label_pro</field>
        <field name="model">res.config.settings</field>
        <field name="inherit_id" ref="garazd_product_label.res_config_settings_view_form"/>
        <field name="arch" type="xml">
            <xpath expr="//setting[@id='product_label_printing_wizard']" position="after">
                <setting id="product_label_preview_product_setting" string="Label Template Preview" help="Define default values to preview label templates">
                    <div class="content-group">
                        <div class="mt16">
                            <label for="print_label_preview_type" string="Use in Preview" class="col-3 col-lg-3 o_light_label"/>
                            <field name="print_label_preview_type" class="o_light_label" required="True" widget="radio"/>
                        </div>
                        <div class="mt16" invisible="print_label_preview_type != 'demo_product'">
                            <label for="print_label_preview_product_id" string="Demo Product" class="col-3 col-lg-3 o_light_label"/>
                            <field name="print_label_preview_product_id" class="o_light_label" required="print_label_preview_type == 'demo_product'"/>
                        </div>
                        <div class="mt16">
                            <label for="print_label_preview_pricelist_id" string="Pricelist" class="col-3 col-lg-3 o_light_label"/>
                            <field name="print_label_preview_pricelist_id" class="o_light_label" options="{'no_create': True}"/>
                        </div>
                        <div class="mt16">
                            <label for="print_label_preview_sale_pricelist_id" string="Promo Pricelist" class="col-3 col-lg-3 o_light_label"/>
                            <field name="print_label_preview_sale_pricelist_id" class="o_light_label" options="{'no_create': True}"/>
                        </div>
                    </div>
                </setting>
            </xpath>
        </field>
    </record>

</odoo>
